Create phone call
curl --request POST \
--url https://api.voxworks.ai/api/v1/create-phone-call \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from_number": "+61291234567",
"script_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"contact": {
"phone_number": "0429069971",
"first_name": "John",
"last_name": "Smith"
},
"scheduled_time": "2026-02-25T09:00:00Z"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from_number: '+61291234567',
script_id: 'a1b2c3d4-e5f6-7890-abcd-ef1234567890',
contact: {phone_number: '0429069971', first_name: 'John', last_name: 'Smith'},
scheduled_time: '2026-02-25T09:00:00Z'
})
};
fetch('https://api.voxworks.ai/api/v1/create-phone-call', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voxworks.ai/api/v1/create-phone-call"
payload = {
"from_number": "+61291234567",
"script_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"contact": {
"phone_number": "0429069971",
"first_name": "John",
"last_name": "Smith"
},
"scheduled_time": "2026-02-25T09:00:00Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"call_id": "<string>",
"contact_id": "<string>",
"status": "scheduled"
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "Invalid API key"
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "Rate limit exceeded"
}{
"success": false,
"message": "Internal server error"
}Calls
Create phone call
Create and schedule an outbound phone call. Contact details are upserted by phone number and optional object data is validated and linked.
POST
/
api
/
v1
/
create-phone-call
Create phone call
curl --request POST \
--url https://api.voxworks.ai/api/v1/create-phone-call \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from_number": "+61291234567",
"script_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"contact": {
"phone_number": "0429069971",
"first_name": "John",
"last_name": "Smith"
},
"scheduled_time": "2026-02-25T09:00:00Z"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from_number: '+61291234567',
script_id: 'a1b2c3d4-e5f6-7890-abcd-ef1234567890',
contact: {phone_number: '0429069971', first_name: 'John', last_name: 'Smith'},
scheduled_time: '2026-02-25T09:00:00Z'
})
};
fetch('https://api.voxworks.ai/api/v1/create-phone-call', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voxworks.ai/api/v1/create-phone-call"
payload = {
"from_number": "+61291234567",
"script_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"contact": {
"phone_number": "0429069971",
"first_name": "John",
"last_name": "Smith"
},
"scheduled_time": "2026-02-25T09:00:00Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"call_id": "<string>",
"contact_id": "<string>",
"status": "scheduled"
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "Invalid API key"
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "Rate limit exceeded"
}{
"success": false,
"message": "Internal server error"
}Authorizations
API key from Voxworks, sent as Authorization: Bearer YOUR_API_KEY.
Body
application/json

